Conrad's ALFS comments

Chris Lingard chris at stockwith.co.uk
Mon Aug 26 09:07:40 PDT 2002


Bill Maltby LFS Related wrote:

> On Mon, 26 Aug 2002, Rui Ferreira wrote:
 
>> . Using lfs-commands from the site might not be an good idea
>> because future versions might reveal incompabilitys and you'll have
>> to deal with them by changing the functions;
> 
> OTOH, if your goal is to remain current and you expect to keep the
> scripts compatible with what is on the site, this is a nice
> convenience. You don't have to manually inspect for differences and
> get the stuff yourself.
> 

I have used a modified version of Conrad's script since LFS 3.1
and made virtually no changes any inner functions.

It has huge power in that Conrad's script says
dynamic_packages="man-pages findutils gawk ncurses vim gcc

Mine says:
dynamic_packages="man-pages zlib gcc findutils gawk ncurses

To take gcc as an example.  The script checks that for a package
gcc-version, there is a command gcc-version

Conrad is no doubt using gcc-2.95.3, I am using gcc-3.2. There
are no changes to the script for this.  Just make sure that
the commands lfs-commands-x.y/chapter[56]/gcc-version is right.

Chris

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe alfs-discuss' in the subject header of the message



More information about the alfs-discuss mailing list